Create Counterparty
https://bank.dattaremit.com/api/counterpartiesRequires a bank-scoped key.
Creates a counterparty.
## Counterparty Type
Counterparty resources are an abstraction for real world individuals and businesses that are not directly on the Cybrid Platform.
## State
| State | Description |
|---|---|
| storing | The Platform is storing the counterparty details in our private store |
| unverified | The Platform has not yet verified the counterparty's identity |
| verified | The Platform has verified the counterparty's identity |
| rejected | The Platform was not able to successfully verify the counterparty's identity |
Required scope: counterparties:execute
Body Params
requiredtypebusiness | individualrequiredThe counterparty's type.
customer_guidstringThe owning customer's identifier.
addressobjectrequiredThe address of the counterparty.
streetstringThe first line of the address.
street2stringThe optional second line of the address.
citystringThe city of the address.
subdivisionstringThe ISO 3166-2 subdivision code of the address. Applicable only for countries that use subnational states, provinces, lands, oblasts or regions.
postal_codestringThe postal, zip or post code of the address. Applicable only for countries that use postal, zip or post codes.
country_codestringrequiredThe ISO 3166 country 2-Alpha country code of the address.
nameobjectThe name of the counterparty. Required when type is business or type is individual.
fullstringThe counterparty's full name. Required when type is business.
firststringThe counterparty's first name. Required when type is individual.
middlestringThe counterparty's middle name. Optional when type is individual.
laststringThe counterparty's last name. Required when type is individual.
aliasesobject[]The aliases of the counterparty. Optional when type is business.
date_of_birthstring<date>The counterparty's date of birth. Optional when type is individual.
email_addressstringThe counterparty's email address.
identification_numbersobject[]The counterparty's identification numbers.
labelsstring[]The labels associated with the counterparty.
Responses
201counterparty created
400Bad Request
401Unauthorized
403Forbidden
422Unprocessable Content
Request
curl https://api.dattaremit.com/api/counterparties \
-X POST \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "business",
"address": {
"country_code": "string",
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string"
},
"customer_guid": "string",
"name": {
"full": "string",
"first": "string",
"middle": "string",
"last": "string"
},
"aliases": [
{
"full": "string"
}
],
"date_of_birth": "1990-04-12",
"email_address": "string",
"identification_numbers": [
{
"type": "drivers_license",
"issuing_country_code": "string",
"identification_number": "string",
"issuing_subdivision": "string"
}
],
"labels": [
"string"
]
}'Response
counterparty created
{
"guid": "string",
"type": "string",
"bank_guid": "string",
"customer_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"name": {
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
},
"address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"aliases": [
{
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
}
],
"date_of_birth": "1990-04-12",
"labels": [
"string"
],
"compliance_decisions": [
{
"type": "string",
"state": "string",
"failure_codes": [
"string"
],
"expired_at": "2026-07-20T16:27:51.438Z"
}
]
}